%global pypi_name drools-jpy
%global project_name drools_jpy
%global module_name drools
%global commitId f1fade2146ca1fc3508a891ad69893016437acea

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.3.4
Release:        2%{?dist}
Summary:        A Python package to directly call Drools Java classes from python

License:        Apache-2.0
URL:            https://github.com/ansible/drools_jpy
Source0:        python-drools-jpy-f1fade2146ca1fc3508a891ad69893016437acea.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel

%description
A python package that allows you to directly call Drools classes (implemented in Java) using JPY from your Python code.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        A Python package to directly call Drools Java classes from python

Requires:       python%{python3_pkgversion}-jpy
Requires:       python%{python3_pkgversion}-%{pypi_name}-jar = 1.0.3
Requires:       java-17-openjdk-headless

%description -n python%{python3_pkgversion}-%{pypi_name}
A python package that allows you to directly call Drools classes (implemented in Java) using JPY from your Python code.

%prep
set -ex
export JAVA_HOME=%{_usr}/lib/jvm/jre-17-openjdk
%autosetup -n python-%{pypi_name}-%{commitId}
rm -f src/drools/jars/*.jar

cat <<EOF > setup.cfg
[metadata]
name = %{project_name}
version = %{version}
author = Madhu Kanoor
author_email = mkanoor@redhat.com
url = %{url}
project_urls =
  Source Code = %{url}
license = %{license}
license_files = LICENSE
description = A Python package to directly call Drools Java classes from python
long_description = file: README.md
long_description_content_type = text/markdown
classifiers =
  Programming Language :: Python :: 3
  License :: OSI Approved :: Apache Software License
  Operating System :: OS Independent
  Development Status :: 5 - Production/Stable

[options]
install_requires =
    jpy
python_requires = >=3.7
packages = find:
package_dir =
    = src
include_package_data = True

[options.packages.find]
where = src
EOF

%build
set -ex
export JAVA_HOME=%{_usr}/lib/jvm/jre-17-openjdk

# Taken from pyproject-rpm-macros's 'pyproject_wheel'
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheeldir --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
set -ex
export JAVA_HOME=%{_usr}/lib/jvm/jre-17-openjdk
# Taken from pyproject-rpm-macros's 'pyproject_wheel'
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheeldir %{project_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{project_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{project_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{project_name}-%{version}.dist-info

%changelog
* Wed Jun 7 2023 James Marshall <jamarsha@redhat.com> 0.3.4-2
- Initial build
